Subject: Re: [PATCH] net: avoid net core runtime resume for most drivers

From: Stanislaw Gruszka <[email-masked]>
Date: Sat, 10 Feb 2024 11:48:51 +0100

On Fri, Feb 09, 2024 at 12:45:36PM -0800, Jakub Kicinski wrote:
> On Wed,  7 Feb 2024 10:51:11 +0100 Stanislaw Gruszka wrote:
> > Introducing runtime resume before ndo_open and ethtool ops by commits:
> > 
> > d43c65b05b84 ("ethtool: runtime-resume netdev parent in ethnl_ops_begin")
> > bd869245a3dc ("net: core: try to runtime-resume detached device in __dev_open")
> 
> We should revisit whether core should try to help drivers with PM
> or not once the Intel drivers are fixed. Taking the global networking
> lock from device resume routine is inexcusable.

Ok, we need get rid of it in igc (and fix broken assertion in igb).

> I really don't want to
> make precedents for adjusting the core because driver code is poor
> quality :(

I see this rather as removal of special core adjustment added
by above commits. It's only needed for r8169. For all others
it is just pure harm. It could be done without the priv flag,
but then r8169 probably would need changes.

Regards
Stanislaw